#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	long long a,b,i,n;
	double s;
	s=b=0;
	
	cin>>n;
	a=1;
	for(i=1;i<=n;i++){
		a=a*i;
		
		s=s+a;
	}
	
	cout<<s;
	
	return 0;
	
}
